package com.jcloud.oss.sdk.demo;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import com.jcloud.jss.JingdongStorageService;
import com.jcloud.jss.domain.ObjectListing;
import com.jcloud.jss.domain.ObjectSummary;
import com.jcloud.jss.domain.StorageObject;
import com.jcloud.jss.exception.StorageClientException;
import com.jcloud.jss.exception.StorageServerException;
import com.jcloud.jss.service.BucketService;
import com.jcloud.jss.service.ObjectService;

public class JcloudOSSDemo {
	
    // endpoint是访问OSS的域名。如果您已经在OSS的控制台上 创建了Bucket，请在控制台上查看域名。
    // 如果您还没有创建Bucket，endpoint选择请参看文档中心的“API文档 >1 API简介和基本概念 > 访问域名”，
    // 链接地址是：
    // endpoint的格式形如“s-bj.jcloud.com”，注意http://后不带bucket名称，
    // 比如“bucket-name.s-bj.jcloud.com”，是错误的endpoint，请去掉其中的“bucket-name”。
	private static String accessKey =  "<your-AccessKeyId>";
    private static String secreteKey = "<your-SecretKey>";		
 	
    private static String endpoint = "s-bj.jcloud.com";
    private static File file = new File("D:\\sign.txt");
    
    private static String bucketName = "jss-test";
    private static String objectName = "objectTest";
	public static void main(String[] args){
		
		//创建JingdongStorageService实例
		JingdongStorageService jss= new JingdongStorageService(accessKey,secreteKey);
		jss.setEndpoint(endpoint);
		
		try {
			// 创建bucket  
			jss.createBucket(bucketName); 
			
			//上传文件
			ObjectService objectService = jss.bucket(bucketName).object(objectName);
			InputStream inputStream = null;
			try {
				inputStream = new FileInputStream(file);
			} catch (FileNotFoundException e) {
				// TODO 相应的异常处理
			}  
			long contentLength = file.length();  
			//设置上传文件Content-type为"text/html"。函数返回上传数据的Etag,目前Etag的值为上传数据的MD5  
			String md5 = objectService.entity(contentLength,inputStream).contentType("text/html").put(); 
	
	
			//下载Object 
			StorageObject storageObject = objectService.get();  
			// 读Object内容  
			System.out.println("Object content:");  
			BufferedReader reader = new BufferedReader(new InputStreamReader(storageObject.getInputStream()));  
			String tempString = null;  
			try {
				while ((tempString = reader.readLine()) != null) {  
				    System.out.println(tempString);  
				}
			} catch (IOException e) {
				// TODO 处理IO异常
			}  
			//关闭流
			try {
				reader.close();
			} catch (IOException e) {
				// TODO 处理IO异常
	
			}       
			storageObject.close(); 
	
			//列出所有的object
			//创建BucketService实例  
			BucketService bucketService = jss.bucket(bucketName);  
			//列出bucket下满足条件的文件和文件夹  
			ObjectListing objectList = bucketService.listObject();  
			//列出指定条件下的object名称  
			for (ObjectSummary objectSummary : objectList.getObjectSummaries()) {
				System.out.println("objectName : "+objectSummary.getKey());  
			} 
			
			//删除object 
			objectService.delete(); 
	
		}catch(StorageClientException e){
			// TODO 处理异常
		}catch(StorageServerException e){
			// TODO 处理异常
		}finally{
			jss.destroy();
		}
	}

}
