package com.jcloud.oss.sdk.sample;

import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStreamReader;

import com.jcloud.jss.Credential;
import com.jcloud.jss.JingdongStorageService;
import com.jcloud.jss.client.ClientConfig;
import com.jcloud.jss.domain.StorageObject;
import com.jcloud.jss.service.ObjectService;

public class GetObjectSample {

	public static void main(String[] args) throws IOException {
		//您的AccessKey和SecretKey可以登陆到京东云存储的控制台，在【Access Key 管理】中查看。
	    String accessKey =  "<your-AccessKeyId>";
	    String secreteKey = "<your-SecretKey>";		
	    // endpoint以华北为例，其它region请按实际情况填写
	    String endPoint = "s-bj.jcloud.com";
	    String bucketName = "sdk-example";
	    String objectName = "index.html";	    
		//ClientConfig当前为默认配置，用户可根据需要自行配置，如设置连接超时时间等
        ClientConfig config = new ClientConfig();
        
        //构造JingdongStorageService实例
		Credential credential = new Credential(accessKey, secreteKey);
        JingdongStorageService jss = new JingdongStorageService(credential,config);
        //配置endPoint
		jss.setEndpoint(endPoint);	
				
		
		//流式下载
		System.out.println("流式下载:");
		//创建objectService实例
		ObjectService InputStreamGetService = jss.bucket(bucketName).object(objectName);
		//获取object对象
		StorageObject InputStreamGetObject = InputStreamGetService.get();
		// 读Object内容
		System.out.println("Object content:");
		BufferedReader InputStreamGetReader = new BufferedReader(new InputStreamReader(InputStreamGetObject.getInputStream()));
        String tempString = null;
        // 一次读入一行，直到读入null为文件结束
        while ((tempString = InputStreamGetReader.readLine()) != null) {
            System.out.println(tempString);
        }
        
        InputStreamGetReader.close();		
		InputStreamGetObject.close();
		
		
		
		//下载到本地文件
		System.out.println("\n下载到本地文件:");
		//创建objectService实例
		ObjectService downLoadService = jss.bucket(bucketName).object(objectName);

		//获取object对象
		StorageObject downLoadObject = downLoadService.get();
		//将文件下载到本地文件中，如下示例是将指定的object下载到"D:/down.html"中
		downLoadObject.toFile(new File("D:/down.html"));
		
		
		//创建objectService实例
		ObjectService rangeObjectService = jss.bucket(bucketName).object(objectName);
		//获取object，其中数据返回第0到第1000个字节的数据，包括第1000个，共1001字节的数据
		StorageObject rangeObject = rangeObjectService.range(0, 1000).get();
		//获取object,其中返回数据跳过前1000个字节，其余部分下载到本地文件"D:/range_down.html"中
		//StorageObject rangeObject = rangeObjectService.range(1000).get();
		//将文件下载到本地文件中，如下示例是将指定的object下载到"D:/down.html"中
		rangeObject.toFile(new File("D:/range_down.html"));
		
		
		//JingdongStorageService对象内部维护一组HTTP连接池，在不使用该对象之前需要调用其destroy方法关闭连接池，
		//请注意，一旦调用destroy方法，该对象就不能再次被使用，否则将会抛出异常。
		jss.destroy();
	}

}
