package com.jcloud.oss.sdk.sample;

import java.io.File;

import com.jcloud.jss.JingdongStorageService;
import com.jcloud.jss.client.ClientConfig;

public class InitOSSSample {

	/**
	 * 初始化OSS
	 */
	void initOSS(){
		//访问京东云的accessKey
		String accessKey =  "<your-AccessKeyId>";
		String secreteKey = "<your-SecretKey>";	
		//endpoint以华北为例
		String endpoint = "s-bj.jcloud.com";
		
		//创建JingdongStorageService实例
		JingdongStorageService jss= new JingdongStorageService(accessKey,secreteKey);
		jss.setEndpoint(endpoint);
		
		//使用云存储
		
		//销毁JingdongStorageService实例
		jss.destroy();

	}
	
	/**
	 * 使用配置类初始化OSS
	 */
	void initOSSWithConfig(){
		
		//访问京东云的accessKey
		String accessKey =  "<your-AccessKeyId>";
	    String secreteKey = "<your-SecretKey>";	
	    //endpoint以华北为例
	    String endpoint = "s-bj.jcloud.com";
	    
	    //创建ClientConfig实例
	    ClientConfig clientConfig=new ClientConfig();
	    //设置最大连接数，默认为128
	    clientConfig.setMaxConnections(300);
	    //设置请求超时时间，默认是50s
	    clientConfig.setSocketTimeout(15000);
	    //设置失败请求重试次数，默认是3次
	    clientConfig.setMaxErrorRetry(6);

	    
	    //创建JingdongStorageService实例
	    JingdongStorageService jss= new JingdongStorageService(accessKey,secreteKey);
	    jss.setEndpoint(endpoint);
	    
	    //使用云存储
	    
	    //销毁JingdongStorageService实例
	    jss.destroy();

	}

}
