package com.jcloud.oss.sdk.sample;

import com.jcloud.jss.Credential;
import com.jcloud.jss.JingdongStorageService;
import com.jcloud.jss.client.ClientConfig;
import com.jcloud.jss.domain.result.MoveObjectResult;
import com.jcloud.jss.service.ObjectService;

public class MoveObjectSample {

	public static void main(String[] args) {
		//您的AccessKey和SecretKey可以登陆到京东云存储的控制台，在【Access Key 管理】中查看。
	    String accessKey =  "<your-AccessKeyId>";
	    String secreteKey = "<your-SecretKey>";		
	    // endpoint以华北为例，其它region请按实际情况填写
	    String endPoint = "s-bj.jcloud.com";
	    String sourceBucketName = "sdk-example";//moveObject的源bucket
	    String sourceKey = "test";//moveObject的源object key	 
	    String destinationBucketName = "sdk-example";//moveObject的目的bucket
	    String destinationKey = "dest_test";//moveObject的目的object key
		//ClientConfig当前为默认配置，用户可根据需要自行配置，如设置连接超时时间等
        ClientConfig config = new ClientConfig();
        
        //构造JingdongStorageService实例
		Credential credential = new Credential(accessKey, secreteKey);
        JingdongStorageService jss = new JingdongStorageService(credential,config);
        //配置endPoint
		jss.setEndpoint(endPoint);	
		
		//创建objectService实例
		ObjectService MoveObjectService = jss.bucket(destinationBucketName).object(destinationKey);
		//将sourceBucket下的sourceObject移动到destinationBucket下的destinationObject,返回移动后object的etag和lastModified
		MoveObjectResult moveObjectResult = MoveObjectService.moveFrom(sourceBucketName, sourceKey).move();
		System.out.println("LastModified : "+moveObjectResult.getLastModified());
		System.out.println("Etag : "+moveObjectResult.getEtag());
		
		
		//JingdongStorageService对象内部维护一组HTTP连接池，在不使用该对象之前需要调用其destroy方法关闭连接池，
		//请注意，一旦调用destroy方法，该对象就不能再次被使用，否则将会抛出异常。
		jss.destroy();
	}

}
