package com.jcloud.oss.sdk.sample;

import java.net.URI;
import com.jcloud.jss.Credential;
import com.jcloud.jss.JingdongStorageService;
import com.jcloud.jss.client.ClientConfig;

public class PresignedUrlSample {
	
	public static void main(String[] args) {
		
		// endpoint以华北为例，其它region请按实际情况填写
		String endPoint = "s-bj.jcloud.com";
		// 您的AccessKey和SecretKey可以登陆到京东云存储的控制台，在【概览页】中查看
		String accessKey =  "<your-AccessKeyId>";
		String secreteKey = "<your-SecretKey>";		
		String bucketName = "jss-test";
		String key = "cartoon.jpg";
		
		Credential credential = new Credential(accessKey, secreteKey);
		//默认配置文件。如用户需要个别配置，则自行配置。例:config.setMaxConnections(20);
		ClientConfig config = new ClientConfig();
		JingdongStorageService jss= new JingdongStorageService (credential, config);
		// 设置Endpoint
		jss.setEndpoint(endPoint);
		
        // 生成的URL默认以GET方式访问，可以通过浏览器直接访问，过期时间是1小时
        URI signatureUrlPUT = jss.bucket(bucketName).object(key).generatePresignedUrl(3600);
        System.out.println(signatureUrlPUT.toString());
        // 关闭jss
        jss.destroy();
	}

}